Album: 612 - a homestuck fan-album
Directory Suffix: kouta
Date: September 16, 2015
Date Added: June 25, 2025
Artists:
- Kouta
Color: '#5ebfff'
Groups:
- Fandom
URLs:
- https://davestrider.bandcamp.com/album/612-a-homestuck-fan-album
Commentary: |-
    <i>Kouta:</i> ([Bandcamp about blurb](https://davestrider.bandcamp.com/album/612-a-homestuck-fan-album))
    an album encompassing my love affair with homestuck, spanning 2012-2014. the collection is a sort of novelty, with track order showing my improvement over the years. the first track, "davesprite's theme", was the second thing i'd ever written, after the original, not-yet-released davesprite theme.
---
Track: davesprite's theme
Duration: 3:27
URLs:
- https://davestrider.bandcamp.com/track/davesprites-theme
Commentary: |-
    <i>Kouta:</i> ([Bandcamp about blurb](https://davestrider.bandcamp.com/album/612-a-homestuck-fan-album), excerpt)
    the first track, "davesprite's theme", was the second thing i'd ever written, after the original, not-yet-released davesprite theme.
---
Track: '612'
Suffix Directory: true
Always Reference By Directory: true
Duration: 3:04
URLs:
- https://davestrider.bandcamp.com/track/612
---
Track: electrifelt
Duration: 5:50
Referenced Tracks:
- English
URLs:
- https://davestrider.bandcamp.com/track/electrifelt
---
Track: 612 - part 2
Duration: 3:12
URLs:
- https://davestrider.bandcamp.com/track/612-part-2
---
Track: snowman
Suffix Directory: true
Always Reference By Directory: true
Duration: 4:30
URLs:
- https://davestrider.bandcamp.com/track/snowman
---
Track: john
Suffix Directory: true
Always Reference By Directory: true
Duration: 3:52
URLs:
- https://davestrider.bandcamp.com/track/john
---
Track: 612 - revamped
Duration: 3:08
Referenced Tracks:
- track:612-kouta
URLs:
- https://davestrider.bandcamp.com/track/612-revamped
---
Track: denizen
Duration: 5:46
URLs:
- https://davestrider.bandcamp.com/track/denizen
